Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.font.effects
Interface ConfigurableEffect.Value

Enclosing interface:
  ConfigurableEffect

    public static interface ConfigurableEffect.Value

Represents a configurable value for an effect.

Method Summary
`java.lang.String` | `getName()` Returns the name of the value.
`java.lang.Object` | `getObject()` Gets the object representation of the value.
`java.lang.String` | `getString()` Gets the string representation of the value.
`void` | `setString(java.lang.String value)` Sets the string representation of the value.
`void` | `showDialog()` Shows a dialog allowing a user to configure this value.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the value.

### setString

    void setString(java.lang.String value)

  Sets the string representation of the value.

### getString

    java.lang.String getString()

  Gets the string representation of the value.

### getObject

    java.lang.Object getObject()

  Gets the object representation of the value.

### showDialog

    void showDialog()

  Shows a dialog allowing a user to configure this value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.